| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
I2C Address Flags
I2C Interface

Specify address flags. More...

## Macros

#define | ARM_I2C_ADDRESS_10BIT 0x0400
| 10-bit address flag
#define | ARM_I2C_ADDRESS_GC 0x8000
| General Call flag.

## Description

Specify address flags.

Specifies the address type for the functions ARM_I2C_MasterReceive, ARM_I2C_MasterTransmit and ARM_I2C_OWN_ADDRESS.

## Macro Definition Documentation

#define ARM_I2C_ADDRESS_10BIT 0x0400

10-bit address flag

See Also
  ARM_I2C_OWN_ADDRESS
  ARM_I2C_MasterTransmit
  ARM_I2C_MasterReceive

#define ARM_I2C_ADDRESS_GC 0x8000

General Call flag.

See Also
  ARM_I2C_OWN_ADDRESS